<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'laraecart',

    /*
     * Package.
     */
    'package'   => 'attribute',

    /*
     * Modules.
     */
    'modules'   => ['attribute', 
'attribute_group'],

    'attribute'       => [
        'model' => [
            'model'                 => \Laraecart\Attribute\Models\Attribute::class,
            'table'                 => 'attributes',
            'presenter'             => \Laraecart\Attribute\Repositories\Presenter\AttributePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'parent_id',  'name',  'sort_order',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'attribute/attribute',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Laraecart',
            'package'   => 'Attribute',
            'module'    => 'Attribute',
        ],

    ],

    'attribute_group'       => [
        'model' => [
            'model'                 => \Laraecart\Attribute\Models\AttributeGroup::class,
            'table'                 => 'attribute_groups',
            'presenter'             => \Laraecart\Attribute\Repositories\Presenter\AttributeGroupPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'slug',  'sort_order',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'attribute/attribute_group',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Laraecart',
            'package'   => 'Attribute',
            'module'    => 'AttributeGroup',
        ],

    ],
];
