<?php

namespace Laraecart\Attribute\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Attribute policy
        'Laraecart\Attribute\Models\Attribute' => \Laraecart\Attribute\Policies\AttributePolicy::class,
// Bind AttributeGroup policy
        'Laraecart\Attribute\Models\AttributeGroup' => \Laraecart\Attribute\Policies\AttributeGroupPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
