<?php

namespace Laraecart\Attribute\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AttributeGroupTransformer extends TransformerAbstract
{
    public function transform(\Laraecart\Attribute\Models\AttributeGroup $attribute_group)
    {
        return [
            'id'                => $attribute_group->getRouteKey(),
            'key'               => [
                'public'    => $attribute_group->getPublicKey(),
                'route'     => $attribute_group->getRouteKey(),
            ], 
            'id'                => $attribute_group->id,
            'name'              => $attribute_group->name,
            'slug'              => $attribute_group->slug,
            'sort_order'        => $attribute_group->sort_order,
            'user_id'           => $attribute_group->user_id,
            'user_type'         => $attribute_group->user_type,
            'created_at'        => $attribute_group->created_at,
            'updated_at'        => $attribute_group->updated_at,
            'deleted_at'        => $attribute_group->deleted_at,
            'url'               => [
                'public'    => trans_url('attribute/'.$attribute_group->getPublicKey()),
                'user'      => guard_url('attribute/attribute_group/'.$attribute_group->getRouteKey()),
            ], 
            'status'            => trans('app.'.$attribute_group->status),
            'created_at'        => format_date($attribute_group->created_at),
            'updated_at'        => format_date($attribute_group->updated_at),
        ];
    }
}